﻿/**
 * my.LinkButton
 * 
 *  Represents the button created as a link element.
 */
qx.Class.define("my.LinkButton", {

	extend: wisej.web.Button,

	properties: {

		/**
		 * Href property.
		 */
		href: { init: "#", check: "String", apply: "_applyHref" },

	},

	members: {

		/**
		 * Applies the href property.
		 */
		_applyHref: function (value, old) {
			this.getContentElement().setAttribute("href", value || "#");
		},

		// overridden
		//_onTap: function (e) {

		//	// open the submenu.
		//	if (e.isLeftPressed() && this.getMenu()) {
		//		this.execute();
		//		this.getMenu().open();
		//		return;
		//	}
		//	return;
		//},

		/**
		 * Creates the content element. The style properties
		 * position and zIndex are modified from the Widget
		 * core.
		 *
		 * This function may be overridden to customize a class
		 * content.
		 *
		 * @return {qx.html.Element} The widget's content element
		 */
		_createContentElement: function () {
			return new qx.html.Element("a", {
				overflowX: "hidden",
				overflowY: "hidden"
			}, {
				href: this.getHref()
			});
		}
	}
});
